Classes | Public Member Functions | Public Attributes | List of all members
MarinerWrtTextInternal::Table Struct Reference

Internal: struct used to store the table of a MarinerWrtText. More...

## Classes
struct | Cell
| a table cell of a MarinerWrtText More...
struct | Row
| a table row of a MarinerWrtText More...

## Public Member Functions
| Table (Zone const &zone)
| constructor More...
long | nextCharPos () const
| returns the next char position after the table More...

## Public Attributes
Zone const & | m_zone
| the actual zone More...
std::vector< Row > | m_rowsList
| the list of row More...

## Detailed Description

Internal: struct used to store the table of a MarinerWrtText.

## Constructor & Destructor Documentation

## ◆ Table()

MarinerWrtTextInternal::Table::Table | ( | Zone const & | zone | ) |
| inline explicit

constructor

## Member Function Documentation

## ◆ nextCharPos()

long MarinerWrtTextInternal::Table::nextCharPos | ( |  | ) | const
| inline

returns the next char position after the table

Referenced by MarinerWrtText::send().

## Member Data Documentation

## ◆ m_rowsList

std::vector<Row> MarinerWrtTextInternal::Table::m_rowsList

the list of row

Referenced by MarinerWrtText::findTableStructure(), and MarinerWrtText::sendTable().

## ◆ m_zone

Zone const& MarinerWrtTextInternal::Table::m_zone

the actual zone

Referenced by MarinerWrtText::findTableStructure(), and MarinerWrtText::sendTable().

The documentation for this struct was generated from the following file:

- MarinerWrtText.cxx